Bug 593353 - Review Request: pyliblzma - Python bindings for lzma
Summary: Review Request: pyliblzma - Python bindings for lzma
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-18 15:30 UTC by seth vidal
Modified: 2014-01-21 23:15 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-13 07:58:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description seth vidal 2010-05-18 15:30:37 UTC
Spec URL: http://skvidal.fedorapeople.org/misc/pyliblzma/pyliblzma.spec
SRPM URL: http://skvidal.fedorapeople.org/misc/pyliblzma/pyliblzma-0.5.3-1.fc13.src.rpm
Description: 

PylibLZMA provides a python interface for the liblzma library
to read and write data that has been compressed or can be decompressed
by Lasse Collin's lzma utils.

Comment 1 seth vidal 2010-05-27 16:21:06 UTC
okay, I've updated the pkgs and I think they are inline with python specs now.

This package cannot, yet, build for python3 and that's fine this one is only targeted for python2.

Comment 2 Dan Horák 2010-06-01 13:55:00 UTC
I've checked the latest package (please post URLs of the updated srpm too) and there are 2 minor issues
- from rpmlint:
pyliblzma.x86_64: W: incoherent-version-in-changelog 0.5.3-1 ['0.5.3-2.fc14', '0.5.3-2']
=> I think it's an omission

pyliblzma.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/site-packages/lzma.so 0775
=> AFAIK caused by setuptools, chmod will fix it

and one more serious - licensing - the only file with a license header is setup.py (clear LGPLv3+), but the license of the module is not so clear, the only reference is about LGPLv3 (in setup.py and PKG-INFO) => I would say the license of the binary package is LGPLv3. But the source files contains no copyright or license header and this is also not optimal. Please suggest the author to add this information.

Comment 3 seth vidal 2010-06-01 20:34:22 UTC
I'm confused by that rpmlint output.

all of the .so files in /usr/lib/python2.6/site-packages/ on my system are 0755

including the one from my lzma pkg - do you have an odd umask?

Comment 4 Dan Horák 2010-06-01 20:43:46 UTC
when built locally with rpmbuild I get 0755, but with mock it's 0775 - all on F-12

Comment 5 seth vidal 2010-06-04 16:09:50 UTC
okay, a new version is uploaded with an 'attr' for lzma.so so it is 0755.

uploaded to:

http://skvidal.fedorapeople.org/misc/pyliblzma/

thanks!

Comment 6 Dan Horák 2010-06-07 14:43:55 UTC
formal review is here, see the notes explaining OK* and BAD statuses below:

OK      source files match upstream:
            6240ec6f830f35f4087b8926a95c2074320b7ed5  pyliblzma-0.5.3.tar.bz2
OK      package meets naming and versioning guidelines.
OK      specfile is properly named, is cleanly written and uses macros consistently.
OK      dist tag is present.
OK      license field matches the actual license.
OK*     license is open source-compatible (LGPLv3+ per upstream clarification). License text included in package.
OK      latest version is being packaged.
OK      BuildRequires are proper.
OK      compiler flags are appropriate.
OK      %clean is present.
OK      package builds in mock (Rawhide/x86_64).
OK      debuginfo package looks complete.
OK      rpmlint is silent.
OK      final provides and requires look sane.
N/A     %check is present and all tests pass.
OK      no shared libraries are added to the regular linker search paths.
OK      owns the directories it creates.
OK      doesn't own any directories it shouldn't.
OK      no duplicates in %files.
OK      file permissions are appropriate.
OK      no scriptlets present.
OK      code, not content.
OK      documentation is small, so no -docs subpackage is necessary.
OK      %docs are not necessary for the proper functioning of the package.
OK      no headers.
OK      no pkgconfig files.
OK      no libtool .la droppings.
OK      not a GUI app.

- please include license text as %doc

Comment 7 Seth Vidal 2010-06-28 17:46:50 UTC
New Package CVS Request
=======================
Package Name: pyliblzma
Short Description: Python bindings for lzma
Owners: skvidal
Branches: F-13, EL6
InitialCC:

Comment 8 Jason Tibbitts 2010-06-28 17:52:17 UTC
CVS done (by process-cvs-requests.py).

Comment 9 Dan Horák 2012-12-13 07:58:50 UTC
imported and built for a long time, closing


Note You need to log in before you can comment on or make changes to this bug.